// Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers
// See the COPYRIGHT file at the top-level directory of this distribution

// Abelujo is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// Abelujo is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.

// You should have received a copy of the GNU Affero General Public License
// along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.
{% extends "base.html" %}

{% block content %}

{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}

div(ng-controller="inventoryTerminateController")
  div
    uib-alert(
      ng-repeat="alert in alerts"
      type="{{ 'alert.level' | ng }}"
      close="closeAlert($item)"
      ng-click="closeAlert($item)"
    )
      {{ 'alert.message' | ng }}


  h3 {% trans "Terminate the inventory of" %} {{ 'name' | ng}}
  // The following numbers are not appropriate with pagination anymore (2021-09).
  //.col-md-12
   .col-md-3(ng-if="is_no_origin").panel.panel-warning
    div.panel-heading
    div.panel-body {% trans "Warning: we inventoried some cards that were not here originally." %} (x {{'obj_length(no_origin)'|ng}})

   .col-md-3.panel.panel-warning(ng-if="is_missing")
    div.panel-heading
    div.panel-body {% trans "Warning: some cards are missing in the inventory." %} (x {{'obj_length(missing)'|ng}})

   .col-md-3(ng-if="is_less_in_inv").panel.panel-warning
    div.panel-heading
    div.panel-body {% trans "We are missing copies of some cards" %} (x {{'obj_length(less_in_inv)'|ng}})

   .col-md-3(ng-if="is_more_in_inv").panel.panel-info
    div.panel-heading
    div.panel-body {% trans "We inventoried some cards with more copies than planned" %} (x {{'obj_length(more_in_inv)'|ng}})

  .row
   .col-md-3
     .btn-group
       button.btn.btn-info.dropdown-toggle(data-toggle="dropdown", type="button", aria-haspopup="true", aria-expanded="false") {% trans "Action" %}
         span.caret
       ul.dropdown-menu
         li: a(href="#", ng-click='validate()', title='{% trans "Apply this inventory to your stock. This will modify your stock" %}') {% trans "Apply to your stock" %}

     .btn-group
       button.btn.btn-success.dropdown-toggle(data-toggle="dropdown", type="button", aria-haspopup="true", aria-expanded="false", title="{% trans 'Export the list to the required format' %}") {% trans "Export" %}
         span.caret
       ul.dropdown-menu
         li(ng-show="is_default_inventory"): a(href="/inventories/{{'inv_id'|ng}}/export?format=pdf&report=bill", title='{% trans "Download the bill of what was sold" %}) {% trans "List of sells" %} -pdf

         li(ng-show="is_default_inventory"): a(href="/inventories/{{'inv_id'|ng}}/export?format=csv&report=bill", title='{% trans "Download the bill of what was sold" %}) {% trans "List of sells" %} - csv

         li: a(href="{{'get_base_url()'|ng}}export?format=pdf&report=listing", title='{% trans "Get the list of the inventory" %}) {% trans "Inventory list" %} - pdf

         li: a(href="{{ 'get_base_url()' | ng}}export?report=listing&format=csv", title="'{% trans "Get the list of the Inventory in csv (for LibreOffice/Excel)" %}) {% trans "Inventory list" %} - csv

         li: a(href="{{ 'get_base_url()' | ng}}export?format=csv&report=simplelisting", title='{% trans "Get the list of the Inventory in csv, only isbn and quantities, for Dilicom" %}') {% trans "isbn and quantities (Dilicom)" %} - csv


     a(href="http://abelujo.cc/docs/inventories/", target="_blank"): button.btn.btn-default(title='{% trans "Read the documentation" %}')
       i.glyphicon.glyphicon-question-sign

   .col-md-9
    .col-md-3
     h4 {% trans "Initial qty" %}: {{'total_copies_in_stock'|ng}}
    .col-md-3
     h4 {% trans "Qty inventory" %}: {{'total_copies_in_inv'|ng}}
    .col-md-3
     h4 {% trans "Difference" %}: {{'total_copies_in_inv - total_copies_in_stock'|ng}}


  .col-md-7
        .btn-group
          span.text-right(aria-label="page navigation")
             ul.pagination()
               li.page-item
                 a.page-link(ng-click="firstPage()")  &laquo;
               li.page-item
                 a.page-link(ng-click="previousPage()") <
               li.page-item
                 a.page-link Page {{ 'page' | ng }} / {{ 'meta.num_pages' | ng }} ({{ 'total_copies_in_inv' | ng }})
               li.page-item
                 a.page-link(ng-click="nextPage()") >
               li.page-item
                 a.page-link(ng-click="lastPage()") &raquo;

        .btn-group
          select.form-control( ng-model="page_size", ng-options="it for it in page_sizes", style="width: 5em")


  .row
   table.table.table-condensed.table-striped.table-hover()
     thead
       th {% trans "Title" %}
       th {% trans "Qty origin" %}
       th {% trans "Qty inventory" %}
       th {% trans "Difference" %}

     tbody
      tr(ng-repeat="(id, data) in diff")
        td(ng-class="{'my-green-bg': data.diff == 0, 'my-red-bg': data.diff < 0, 'my-yellow-bg': data.diff > 0}") {{ 'data.card.title'|ng }}
        td(ng-class="{'my-green-bg': data.diff == 0, 'my-red-bg': data.diff < 0, 'my-yellow-bg': data.diff > 0}") {{ 'data.stock' | ng}}
        td(ng-class="{'my-green-bg': data.diff == 0, 'my-red-bg': data.diff < 0, 'my-yellow-bg': data.diff > 0}") {{ 'data.inv' | ng}}
        td(ng-class="{'my-green-bg': data.diff == 0, 'my-red-bg': data.diff < 0, 'my-yellow-bg': data.diff > 0}") {{ 'data.diff' |ng }}

  .col-md-7
        .btn-group
          span.text-right(aria-label="page navigation")
             ul.pagination
               li.page-item
                 a.page-link(ng-click="firstPage()")  &laquo;
               li.page-item
                 a.page-link(ng-click="previousPage()") <
               li.page-item
                 a.page-link Page {{ 'page' | ng }} / {{ 'meta.num_pages' | ng }} ({{ 'meta.nb_results' | ng }})
               li.page-item
                 a.page-link(ng-click="nextPage()") >
               li.page-item
                 a.page-link(ng-click="lastPage()") &raquo;

        .btn-group
          select.form-control(ng-model="page_size", ng-options="it for it in page_sizes", style="width: 5em")



{% endblock content %}